| Home | Libraries | People | FAQ | More

### buffers_iterator

A random access iterator over the bytes in a buffer sequence.

    template<
        typename BufferSequence,
        typename ByteType = char>
    class buffers_iterator

##### Member Functions

Name | Description
--- | ---
begin | Construct an iterator representing the beginning of the buffers' data.
buffers_iterator | Default constructor. Creates an iterator in an undefined state.
end | Construct an iterator representing the end of the buffers' data.

##### Requirements

Header: `boost/asio/buffers_iterator.hpp`

Convenience header: `boost/asio.hpp`